javax.sql

## Interface CommonDataSource

All Known Subinterfaces:
  ConnectionPoolDataSource, DataSource, XADataSource

    public interface CommonDataSource

Interface that defines the methods which are common between `DataSource`, `XADataSource` and `ConnectionPoolDataSource`.

### Method Summary

Methods
`int` `getLoginTimeout()` Gets the maximum time in seconds that this data source can wait while attempting to connect to a database.
`PrintWriter` `getLogWriter()` Retrieves the log writer for this `DataSource` object.
`void` `setLoginTimeout(int seconds)` Sets the maximum time in seconds that this data source will wait while attempting to connect to a database.
`void` `setLogWriter(PrintWriter out)` Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.

### Method Detail

#### getLogWriter

    PrintWriter getLogWriter()
                             throws SQLException

Retrieves the log writer for this `DataSource` object.

The log writer is a character output stream to which all logging and tracing messages for this data source will be printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a data source specific log writer are not printed to the log writer associated with the `java.sql.DriverManager` class. When a `DataSource` object is created, the log writer is initially null; in other words, the default is for logging to be disabled.

Returns:
  the log writer for this data source or null if logging is disabled
Throws:
  `SQLException` - if a database access error occurs
Since:
  1.4
See Also:
  `setLogWriter(java.io.PrintWriter)`

#### setLogWriter

    void setLogWriter(PrintWriter out)
                      throws SQLException

Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.

The log writer is a character output stream to which all logging and tracing messages for this data source will be printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a data source- specific log writer are not printed to the log writer associated with the `java.sql.DriverManager` class. When a `DataSource` object is created the log writer is initially null; in other words, the default is for logging to be disabled.

Parameters:
  `out` - the new log writer; to disable logging, set to null
Throws:
  `SQLException` - if a database access error occurs
Since:
  1.4
See Also:
  `getLogWriter()`

#### setLoginTimeout

    void setLoginTimeout(int seconds)
                         throws SQLException

Sets the maximum time in seconds that this data source will wait while attempting to connect to a database. A value of zero specifies that the timeout is the default system timeout if there is one; otherwise, it specifies that there is no timeout. When a `DataSource` object is created, the login timeout is initially zero.

Parameters:
  `seconds` - the data source login time limit
Throws:
  `SQLException` - if a database access error occurs.
Since:
  1.4
See Also:
  `getLoginTimeout()`

#### getLoginTimeout

    int getLoginTimeout()
                        throws SQLException

Gets the maximum time in seconds that this data source can wait while attempting to connect to a database. A value of zero means that the timeout is the default system timeout if there is one; otherwise, it means that there is no timeout. When a `DataSource` object is created, the login timeout is initially zero.

Returns:
  the data source login time limit
Throws:
  `SQLException` - if a database access error occurs.
Since:
  1.4
See Also:
  `setLoginTimeout(int)`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.